Bug 469666 - aplay processes for not active session are stalled
aplay processes for not active session are stalled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
9
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 06:42 EST by Adam Pribyl
Modified: 2014-06-09 07:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2008-11-03 06:42:07 EST
Description of problem:
I have two users logged in both running psi IM. The sound events from inactive sessions played thru aplay are stalled.


Version-Release number of selected component (if applicable):
pulseaudio-0.9.10-2.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login as first user
2. Start psi with sound events enabled
3. Switch to second user
  
Actual results:
  731 ?        Sl     3:55 /usr/bin/aplay /usr/share/psi/sound/online.wav
  905 ?        Sl     1:40 /usr/bin/aplay /usr/share/psi/sound/online.wav
 1585 ?        Sl     1:48 /usr/bin/aplay /usr/share/psi/sound/online.wav
 1877 ?        Sl     4:17 /usr/bin/aplay /usr/share/psi/sound/online.wav
 2044 ?        Sl     4:26 /usr/bin/aplay /usr/share/psi/sound/online.wav
 4229 ?        Sl     1:28 /usr/bin/aplay /usr/share/psi/sound/online.wav
 5089 ?        Sl     1:25 /usr/bin/aplay /usr/share/psi/sound/online.wav
 5093 ?        Sl     1:25 /usr/bin/aplay /usr/share/psi/sound/online.wav
 5108 ?        Sl     1:24 /usr/bin/aplay /usr/share/psi/sound/online.wav
 5111 ?        Sl     1:22 /usr/bin/aplay /usr/share/psi/sound/online.wav
 7282 ?        Sl     3:31 /usr/bin/aplay /usr/share/psi/sound/online.wav
 7730 ?        Sl     3:23 /usr/bin/aplay /usr/share/psi/sound/online.wav
 8165 ?        Sl     3:19 /usr/bin/aplay /usr/share/psi/sound/online.wav
12423 ?        Sl     3:00 /usr/bin/aplay /usr/share/psi/sound/online.wav
13873 ?        Sl     0:51 /usr/bin/aplay /usr/share/psi/sound/online.wav
15095 ?        Sl     2:51 /usr/bin/aplay /usr/share/psi/sound/online.wav
16791 ?        Sl     0:39 /usr/bin/aplay /usr/share/psi/sound/online.wav
17245 ?        Sl     0:36 /usr/bin/aplay /usr/share/psi/sound/online.wav
17621 ?        Sl     3:02 /usr/bin/aplay /usr/share/psi/sound/online.wav
18916 ?        Sl     0:30 /usr/bin/aplay /usr/share/psi/sound/online.wav
19676 ?        Sl     2:42 /usr/bin/aplay /usr/share/psi/sound/online.wav
21764 ?        Sl     2:31 /usr/bin/aplay /usr/share/psi/sound/online.wav
21814 ?        Sl     2:27 /usr/bin/aplay /usr/share/psi/sound/online.wav
22429 ?        Sl     2:23 /usr/bin/aplay /usr/share/psi/sound/online.wav
22847 ?        Sl     2:22 /usr/bin/aplay /usr/share/psi/sound/online.wav
23473 ?        Sl     2:18 /usr/bin/aplay /usr/share/psi/sound/online.wav
26224 ?        Sl     2:06 /usr/bin/aplay /usr/share/psi/sound/online.wav
26793 ?        Sl     2:15 /usr/bin/aplay /usr/share/psi/sound/online.wav
30007 ?        Sl     1:55 /usr/bin/aplay /usr/share/psi/sound/online.wav
30426 ?        Sl     4:07 /usr/bin/aplay /usr/share/psi/sound/online.wav
31308 ?        Sl     1:49 /usr/bin/aplay /usr/share/psi/sound/online.wav
32539 ?        Sl     1:44 /usr/bin/aplay /usr/share/psi/sound/online.wav

# strace -p 26224
Process 26224 attached - interrupt to quit
restart_syscall(<... resuming interrupted call ...>


Expected results:
Sound events are discarded.

Additional info:
I expect this to be pulseaudio related, but it could be also a problem in aplay..
Comment 1 Lennart Poettering 2008-11-03 11:56:26 EST
Audio devices are considered user input devices, much like mouse/keyboard. Thus, whenever you switch the session access to the audio devices is switched too, and if a stream was playing it is paused. It is resumed when you switch back.
Comment 2 Adam Pribyl 2008-11-03 14:23:02 EST
I understand this is considered a feature, but
1. it does not work. Switching to the other user causes I hear never ending beeping from the speakers (probably repeating some buffer), stalled aplay processes are not played and not trashed. The sound does not work anymore. I have three pulseaudio servers running - for two users, and for gdm. It only helps to kill the one for the user I switched to.
2. IMHO is invalid for sound. If nothing else, this can quicky consume enormous amount of memory starting OOM Killer.
Comment 3 Lennart Poettering 2009-04-23 18:03:33 EDT
I am not sure I follow. Are you saying that PA doesn't resume playback after you switched the session back?

And no, this doesn't eat tons of CPU
Comment 4 Adam Pribyl 2009-04-24 08:33:13 EDT
Yes. Those sounds were not resumed at all and pulseaudio hanged.

Not CPU, but may consume memory?
Comment 5 Lennart Poettering 2009-04-24 11:13:29 EDT
Not, noeither CPU nor memroy.

Most likely some other application from the other session is still blocking the audio device, so that PA cannot resume the audio device.

Please use "fuser -v /dev/dsp* /dev/snd/*" to figure out which application that is. If you terminate that process and switch again, does the problem go away?
Comment 6 Bug Zapper 2009-06-09 23:09:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:10:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Adam Pribyl 2014-06-09 07:17:46 EDT
I've got some automated request to provide requested info for this bug.

Well whatever this is, starting na Xsession with  e.g. PSI and locking screen, switching to Alt-F2 console means that after a few hours of runtime, switching back to X session causes horde of sounds hitting the speakers on F20..

Note You need to log in before you can comment on or make changes to this bug.